Installing Wiimmfi MKWII PATCHER ISO MAC

Discussion in 'Wii - Nintendo Wi-Fi Connection' started by Musketti Masi, Jan 22, 2016.

  1. Musketti Masi
    OP

    Musketti Masi Member

    Newcomer
    1
    Jan 22, 2016
    Finland
    So I haven't seen these in the internet so does someone know how to install wiimmfi mkwii ISO patcher on mac?
     
  2. CeeDee

    CeeDee Doing The Best I Can

    Member
    15
    GBAtemp Patron
    CeeDee is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    May 4, 2014
    United States
    - Download a prepatched ISO from some ROM downloading site.
    - Use a tool that lets you run Windows programs on non-Windows systems. A good example is Wine.
     
  3. Musketti Masi
    OP

    Musketti Masi Member

    Newcomer
    1
    Jan 22, 2016
    Finland
    Is there any other way?
     
  4. GreyWolf

    GreyWolf GBAtemp Guru

    Member
    8
    Mar 2, 2015
    United States
    The patcher has shell scripts and OS X binaries in the archive.
     
  5. Jonesrmj

    Jonesrmj Newbie

    Newcomer
    1
    Jul 21, 2017
    United States
    Wait. Is there another way to use the wiimfi patcher on mac without using anything windows related? I'm having the same problem.
     
    Last edited by Jonesrmj, Aug 2, 2017
  6. GreyWolf

    GreyWolf GBAtemp Guru

    Member
    8
    Mar 2, 2015
    United States
    There were only 4 posts in this thread and mine from last year that is right above yours says, "The patcher has shell scripts and OS X binaries in the archive."
     
    Wiimm likes this.
  7. Jonesrmj

    Jonesrmj Newbie

    Newcomer
    1
    Jul 21, 2017
    United States
    But what does that mean and how do I do that?
     
  8. Wiimm

    Wiimm Developer

    Member
    6
    Aug 11, 2009
    Germany
    Germany
    Do you really not see the file "README.txt"?
     
  9. Xpl0it

    Xpl0it Member

    Newcomer
    1
    Sep 27, 2016
    open terminal
    cd *wiimmfi folder*
    ./patcher-mac.sh or something like that
    profit
     
    AzerothArg likes this.
  10. JtG0620

    JtG0620 Newbie

    Newcomer
    1
    May 10, 2018
    United States
    I feel like I've tried everything to get Wiimmfi running... But no matter what tutorial I follow, whether it be the README.txt one in the patcher folder, or just some video, they all require running the file "patch-wiimmfi.sh", which never works. The way I'm trying to do so is by just going into Terminal and first entering the "chmod a+x *.sh" thing, but replacing "*.sh" with dragging the "patch-wiimmfi.sh" file in. Then I just type "sh " and drag the patch-wiimfi.sh file in and hitting enter, but it says "line 3: ./bin/setup.sh: No such file or directory". Even then, I tried replacing "./bin/setup.sh" with dragging the setup.sh file into the code of patch-wiimfi.sh and doing the same for "job.sh", but then it gives me the error "! wit: One directory scanned, but no valid source files found". I have no idea what I'm doing wrong or even really what I'm supposed to do. I know this is a pretty old thread, but I don't know where else to go. Could I please get some help?
     
  11. PabloMK7

    PabloMK7 Red Yoshi! ^ω^

    Member
    9
    Feb 21, 2014
    Spain
    Yoshi's Island
    Are you opening the terminal in the same folder as the .sh is? Otherwise cd to the folder.
     
    JtG0620 likes this.
  12. JtG0620

    JtG0620 Newbie

    Newcomer
    1
    May 10, 2018
    United States
    Well, I tried that, and sure enough, first try, it worked. Thanks a lot! You're a real life-saver.
     
  13. madiboy

    madiboy Newbie

    Newcomer
    1
    Dec 16, 2018
    Australia
    with the patcher v6 it doesn't work, in terminal it says
    ./bin/setup.sh: ./patch-wiimmfi.sh: line 8: syntax error near unexpected token `&'

    ./bin/setup.sh: ./patch-wiimmfi.sh: line 8: ` patch_job wiimmfi "$src" |& tee "_log/${src##*/}.log"'
    do you know a fix for this
     
  14. Wiimm

    Wiimm Developer

    Member
    6
    Aug 11, 2009
    Germany
    Germany
    Mac is not longer supported. Reason: I used GNU extensions of standard tools and the MAC supports only POSIX features. I already included a GNU getopt into wszst, but other tools fails to.
     
  15. madiboy

    madiboy Newbie

    Newcomer
    1
    Dec 16, 2018
    Australia
    I got it to work on my mac
     
    crazybug likes this.
  16. Wiimm

    Wiimm Developer

    Member
    6
    Aug 11, 2009
    Germany
    Germany
    First: I have not really experience with Mac. but sometime a chance to use an old Mac for compiling (console access only)!

    It works on Mac, if you have installed GNU tools. My developer Mac use GNU tools. So it's very hard for me to verify my tools at Mac.
     
  17. crazybug

    crazybug Newbie

    Newcomer
    1
    Jan 10, 2019
    United Kingdom
    Would you mind sharing how you made it work, please? I encountered the same issue on my mac.
     
Loading...